XMLifyConstants
Keywords: uk.ac.ic.doc.automed.xml.XMLifyConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.xml
Interface XMLifyConstants

All Known Implementing Classes:
  DataSourceRepository, DSR, XMLReader, XMLToken

    public interface XMLifyConstants

Nested Class Summary
`static class` | `XMLifyConstants.IgnoreNextElementException`

Field Summary
`static int` | `CHARACTERS`
`static int` | `CHILDREN`
`static int` | `DEFINITIVE`
`static java.lang.Integer` | `DEFINITIVE_CHILDREN`
`static java.lang.Integer` | `DEFINITIVE_CHILDREN_RECURSE`
`static java.lang.Integer` | `DEFINITIVE_MEMBER`
`static java.lang.Integer` | `DEFINITIVE_MEMBER_AND_CHILDREN`
`static java.lang.Integer` | `DEFINITIVE_MEMBER_RECURSE`
`static int` | `END_DOCUMENT`
`static int` | `END_ELEMENT`
`static int` | `ERROR`
`static int` | `EXCLUDE`
`static java.lang.Integer` | `EXCLUDE_MEMBER`
`static int` | `FATAL_ERROR`
`static int` | `FIRSTPASS`
`static int` | `IGNORABLE_WHITESPACE`
`static int` | `MEMBER`
`static int` | `NOTATION_DECL`
`static int` | `OBJECT`
`static java.lang.Integer` | `OBJECT_CHILDREN`
`static java.lang.Integer` | `OBJECT_CHILDREN_RECURSE`
`static java.lang.Integer` | `OBJECT_MEMBER`
`static java.lang.Integer` | `OBJECT_MEMBER_AND_CHILDREN`
`static java.lang.Integer` | `OBJECT_MEMBER_RECURSE`
`static int` | `ONEPASS`
`static int` | `PRIMITIVE`
`static java.lang.Integer` | `PRIMITIVE_CHILDREN`
`static java.lang.Integer` | `PRIMITIVE_CHILDREN_RECURSE`
`static java.lang.Integer` | `PRIMITIVE_MEMBER`
`static java.lang.Integer` | `PRIMITIVE_MEMBER_AND_CHILDREN`
`static java.lang.Integer` | `PRIMITIVE_MEMBER_RECURSE`
`static int` | `PROCESSING_INSTRUCTION`
`static int` | `RECURSE`
`static int` | `REFERENCE`
`static java.lang.Integer` | `REFERENCE_CHILDREN`
`static java.lang.Integer` | `REFERENCE_CHILDREN_RECURSE`
`static java.lang.Integer` | `REFERENCE_MEMBER`
`static java.lang.Integer` | `REFERENCE_MEMBER_AND_CHILDREN`
`static java.lang.Integer` | `REFERENCE_MEMBER_RECURSE`
`static int` | `SAX_ERROR`
`static int` | `SECONDPASS`
`static int` | `START_DOCUMENT`
`static int` | `START_ELEMENT`
`static int` | `UNPARSED_ENTITY_DECL`
`static int` | `WARNING`

Field Detail

### EXCLUDE

    static final int EXCLUDE

See Also:
  Constant Field Values

### OBJECT

    static final int OBJECT

See Also:
  Constant Field Values

### PRIMITIVE

    static final int PRIMITIVE

See Also:
  Constant Field Values

### DEFINITIVE

    static final int DEFINITIVE

See Also:
  Constant Field Values

### REFERENCE

    static final int REFERENCE

See Also:
  Constant Field Values

### MEMBER

    static final int MEMBER

See Also:
  Constant Field Values

### CHILDREN

    static final int CHILDREN

See Also:
  Constant Field Values

### RECURSE

    static final int RECURSE

See Also:
  Constant Field Values

### FIRSTPASS

    static final int FIRSTPASS

See Also:
  Constant Field Values

### SECONDPASS

    static final int SECONDPASS

See Also:
  Constant Field Values

### ONEPASS

    static final int ONEPASS

See Also:
  Constant Field Values

### EXCLUDE_MEMBER

    static final java.lang.Integer EXCLUDE_MEMBER

### PRIMITIVE_MEMBER

    static final java.lang.Integer PRIMITIVE_MEMBER

### OBJECT_MEMBER

    static final java.lang.Integer OBJECT_MEMBER

### DEFINITIVE_MEMBER

    static final java.lang.Integer DEFINITIVE_MEMBER

### REFERENCE_MEMBER

    static final java.lang.Integer REFERENCE_MEMBER

### PRIMITIVE_CHILDREN

    static final java.lang.Integer PRIMITIVE_CHILDREN

### OBJECT_CHILDREN

    static final java.lang.Integer OBJECT_CHILDREN

### DEFINITIVE_CHILDREN

    static final java.lang.Integer DEFINITIVE_CHILDREN

### REFERENCE_CHILDREN

    static final java.lang.Integer REFERENCE_CHILDREN

### PRIMITIVE_MEMBER_AND_CHILDREN

    static final java.lang.Integer PRIMITIVE_MEMBER_AND_CHILDREN

### OBJECT_MEMBER_AND_CHILDREN

    static final java.lang.Integer OBJECT_MEMBER_AND_CHILDREN

### DEFINITIVE_MEMBER_AND_CHILDREN

    static final java.lang.Integer DEFINITIVE_MEMBER_AND_CHILDREN

### REFERENCE_MEMBER_AND_CHILDREN

    static final java.lang.Integer REFERENCE_MEMBER_AND_CHILDREN

### PRIMITIVE_MEMBER_RECURSE

    static final java.lang.Integer PRIMITIVE_MEMBER_RECURSE

### OBJECT_MEMBER_RECURSE

    static final java.lang.Integer OBJECT_MEMBER_RECURSE

### DEFINITIVE_MEMBER_RECURSE

    static final java.lang.Integer DEFINITIVE_MEMBER_RECURSE

### REFERENCE_MEMBER_RECURSE

    static final java.lang.Integer REFERENCE_MEMBER_RECURSE

### PRIMITIVE_CHILDREN_RECURSE

    static final java.lang.Integer PRIMITIVE_CHILDREN_RECURSE

### OBJECT_CHILDREN_RECURSE

    static final java.lang.Integer OBJECT_CHILDREN_RECURSE

### DEFINITIVE_CHILDREN_RECURSE

    static final java.lang.Integer DEFINITIVE_CHILDREN_RECURSE

### REFERENCE_CHILDREN_RECURSE

    static final java.lang.Integer REFERENCE_CHILDREN_RECURSE

### START_DOCUMENT

    static final int START_DOCUMENT

See Also:
  Constant Field Values

### END_DOCUMENT

    static final int END_DOCUMENT

See Also:
  Constant Field Values

### START_ELEMENT

    static final int START_ELEMENT

See Also:
  Constant Field Values

### END_ELEMENT

    static final int END_ELEMENT

See Also:
  Constant Field Values

### CHARACTERS

    static final int CHARACTERS

See Also:
  Constant Field Values

### IGNORABLE_WHITESPACE

    static final int IGNORABLE_WHITESPACE

See Also:
  Constant Field Values

### PROCESSING_INSTRUCTION

    static final int PROCESSING_INSTRUCTION

See Also:
  Constant Field Values

### NOTATION_DECL

    static final int NOTATION_DECL

See Also:
  Constant Field Values

### UNPARSED_ENTITY_DECL

    static final int UNPARSED_ENTITY_DECL

See Also:
  Constant Field Values

### WARNING

    static final int WARNING

See Also:
  Constant Field Values

### ERROR

    static final int ERROR

See Also:
  Constant Field Values

### FATAL_ERROR

    static final int FATAL_ERROR

See Also:
  Constant Field Values

### SAX_ERROR

    static final int SAX_ERROR

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD